﻿Imports ThinkGeo.MapSuite
Imports ThinkGeo.MapSuite.Shapes
Imports ThinkGeo.MapSuite.Drawing

<Serializable()>
Public Class MapProperties
  Public Sub New()

  End Sub
  Public Property NumberOfLayers As Integer = 0
  Public Property NumNamedViews As Integer = 0
  Public Property MapUnit As GeographyUnit = GeographyUnit.DecimalDegree
  Public Property BoundingBox As RectangleShape
  Public Property BackgroundColor As GeoColor = GeoColor.SimpleColors.Transparent
  Public Property IsActiveMap As Boolean = True
  Public Property Name As String
  Public Property ThinkGeoVersion As Version = Version.Parse("9.0")

End Class
